<?php

// +----------------------------------------------------------------------+
// | OpenConf                                                             |
// +----------------------------------------------------------------------+
// | Copyright (c) 2002-2009 Zakon Group LLC.  All Rights Reserved.       |
// +----------------------------------------------------------------------+
// | This source file is subject to the OpenConf License, available on    |
// | the OpenConf web site: www.OpenConf.com                              |
// +----------------------------------------------------------------------+

require_once "../include.php";

beginChairSession();

// accepted or all papers?
if (isset($_REQUEST['acc']) && preg_match("/\d+/", $_REQUEST['acc']) && isset($OC_acceptanceValuesAR[$_REQUEST['acc']])) {
	$accSQL = "AND " . OCC_TABLE_PAPER . ".accepted='" . safeSQLstr($OC_acceptanceValuesAR[$_REQUEST['acc']]['value']) . "'";
	$accURL = 'acc=' . $_REQUEST['acc'];
	$scope = 'Submissions marked to ' . safeHTMLstr($OC_acceptanceValuesAR[$_REQUEST['acc']]['value']);
}
else {
	$accSQL = '';
	$accURL = '';
	$scope = "All Submissions";
}

printHeader("$scope Country Count",1);

if (!isset($_GET['s']) || ($_GET['s'] == "country")) {
    $sortby = "country";
	$csort = 'Country<br />' . $OC_sortImg;
	$nsort = '<a href="' . $_SERVER['PHP_SELF'] . '?s=num&' . $accURL . '">Count</a>';
} else {
	$sortby = "num";
	$nsort = 'Count<br />' . $OC_sortImg;
	$csort = '<a href="' . $_SERVER['PHP_SELF'] . '?s=country&' . $accURL . '">Country</a>';
}

$q = "SELECT country, COUNT(*) AS num FROM " . OCC_TABLE_AUTHOR . ", " . OCC_TABLE_PAPER . " WHERE " . OCC_TABLE_AUTHOR . ".paperid=" . OCC_TABLE_PAPER . ".paperid AND " . OCC_TABLE_AUTHOR . ".position=" . OCC_TABLE_PAPER . ".contactid $accSQL GROUP BY country ORDER BY $sortby";
$r = ocsql_query($q) or err("Unable to get information");
if (mysql_num_rows($r) == 0) {
        print '<span class="warn">No papers available</span><p>';
} else {
	print '
<center>
<p><span class="note">Note: Only the country of the contact author is used for reporting</span></p>
<table border=0 cellpadding=5 cellspacing=1><tr class="rowheader"><th valign="top">' . $csort . '</th><th valign="top">' . $nsort . "</th></tr>\n";
	$row = 1;
	while ($l = mysql_fetch_array($r)) {
	  	print '<tr class="row' . $row . '"><td>' . $l['country'] . '</td><td align="right">' . $l['num'] . "</td></tr>\n";
		if ($row==1) { $row=2; } else { $row=1; }
	}
	print "</table></center>\n";
}

printFooter();

?>
