<?php

// +----------------------------------------------------------------------+
// | OpenConf                                                             |
// +----------------------------------------------------------------------+
// | Copyright (c) 2002-2009 Zakon Group LLC.  All Rights Reserved.       |
// +----------------------------------------------------------------------+
// | This source file is subject to the OpenConf License, available on    |
// | the OpenConf web site: www.OpenConf.com                              |
// +----------------------------------------------------------------------+

require_once "../include.php";

beginChairSession();

// accepted or all papers?
if (isset($_REQUEST['acc']) && preg_match("/\d+/", $_REQUEST['acc']) && isset($OC_acceptanceValuesAR[$_REQUEST['acc']])) {
	$accSQL = "AND " . OCC_TABLE_PAPER . ".accepted='" . safeSQLstr($OC_acceptanceValuesAR[$_REQUEST['acc']]['value']) . "'";
	$accURL = 'acc=' . $_REQUEST['acc'];
	$scope = 'Submissions marked to ' . safeHTMLstr($OC_acceptanceValuesAR[$_REQUEST['acc']]['value']);
}
else {
	$accSQL = '';
	$accURL = '';
	$scope = "All Submissions";
}

// sort order?
if (isset($_REQUEST['s']) && ($_REQUEST['s'] == 'paperid')) {
	$sort = 'paperid, topicid';
	$psort = 'Submission<br />' . $OC_sortImg;
	$tsort = '<a href="' . $_SERVER['PHP_SELF'] . '?s=topicid&' . $accURL . '">Topic</a>';
	$sortfld = 'paperid';
} else {
	$sort = 'topicid, paperid';
	$psort = '<a href="' . $_SERVER['PHP_SELF'] . '?s=paperid&' . $accURL . '">Submission</a>';
	$tsort = 'Topic<br />' . $OC_sortImg;
	$sortfld = 'topicid';
}

printHeader("$scope &amp; Topics",1);

print '<p align="center"><a href="list_authors_topics.php?' . $accURL . '">Show Topic Count for ' . $scope . '</a></p>';

$q = "SELECT " . OCC_TABLE_PAPER . ".paperid, " . OCC_TABLE_TOPIC . ".topicid, " . OCC_TABLE_PAPER . ".title, " . OCC_TABLE_TOPIC . ".topicname, " . OCC_TABLE_TOPIC . ".short FROM " . OCC_TABLE_PAPER . ", " . OCC_TABLE_TOPIC . ", " . OCC_TABLE_PAPERTOPIC . " WHERE " . OCC_TABLE_PAPERTOPIC . ".paperid=" . OCC_TABLE_PAPER . ".paperid AND " . OCC_TABLE_PAPERTOPIC . ".topicid=" . OCC_TABLE_TOPIC . ".topicid $accSQL ORDER BY $sort";
$r = ocsql_query($q) or err("Unable to get information ".mysql_errno());
if (mysql_num_rows($r) == 0) {
        print '<span class="warn">No papers available</span><p>';
} else {
	print '
<table border=0 cellspacing=1 cellpadding=4 COLS=2>
<tr class="rowheader"><th>' . $tsort . '</th><th colspan=2>' . $psort . '</th></tr>
	';
	$currid = -1;
	$row = 1;
	if ($sortfld == 'paperid') {
		$pbo = '<b>';
		$pbc = '</b>';
		$tbo = '';
		$tbc = '';
	} else {
		$tbo = '<b>';
		$tbc = '</b>';
		$pbo = '';
		$pbc = '';
	}
	while ($l = mysql_fetch_array($r)) {
		if ($currid != $l[$sortfld]) {
			if ($currid != -1) {
				if ($row==1) { $row=2; } else { $row=1; }
			}
			$currid = $l[$sortfld];
			print '<tr class="row' . $row . '"><td>' . $tbo . $l['topicid'] . ' - ' . useTopic($l['short'],$l['topicname']) . $tbc . '</td>';
			print '<td>' . $pbo . '<a href="show_paper.php?pid=' . $l['paperid'] . '">' . $l['paperid'] . ' - ' . safeHTMLstr($l['title']) . '</a>' . $pbc . '</td>';
		} elseif ($sortfld == 'paperid') {
			print '<tr class="row' . $row . '"><td>' . $l['topicid'] . ' - ' . useTopic($l['short'],$l['topicname']) . '</td><td>&nbsp;</td>';
		} else {
            print '<tr class="row' . $row . '"><td>&nbsp;</td><td><a href="show_paper.php?pid=' . $l['paperid'] . '">' . $l['paperid'] . ' - ' . safeHTMLstr($l['title']) . '</a></td>';
		}
/*
		if (empty($l['paperid'])) {
			print "<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>";
		} else {
*/
//			print '<td><a href="show_paper.php?pid='.$l['paperid'].'">'.$l['paperid'].' - ' . safeHTMLstr($l['title']) . '</a></td>';
/*
		}
*/
		print "</tr>\n";
	}
	print '</table>';
}

printFooter();

?>
