<?php

// +----------------------------------------------------------------------+
// | OpenConf                                                             |
// +----------------------------------------------------------------------+
// | Copyright (c) 2002-2009 Zakon Group LLC.  All Rights Reserved.       |
// +----------------------------------------------------------------------+
// | This source file is subject to the OpenConf License, available on    |
// | the OpenConf web site: www.OpenConf.com                              |
// +----------------------------------------------------------------------+

require_once "../include.php";

beginChairSession();

printHeader("Log", 1);

if (isset($_GET['type'])) {
	$type = $_GET['type'];
} else {
	$type = '';
}

// Single log entry
if (isset($_GET['id']) && ctype_digit($_GET['id'])) {
	print '<p style="text-align: center"><a href="' . $_SERVER['PHP_SELF'] . '?' . ((isset($_GET['limit']) && ($_GET['limit'] == 0)) ? 'limit=0&' : '') . (!empty($type) ? ('type=' . safeHTMLstr($type)) : '') . '">show all ' . (!empty($type) ? safeHTMLstr($type) : '') . ' entries</a></p>';
	$q = "SELECT * FROM `" . OCC_TABLE_LOG . "` WHERE `logid`='" . safeSQLstr($_GET['id']) . "'";
	$r = ocsql_query($q) or err('Unable to retrieve log entry');
	if (mysql_num_rows($r) == 0) {
		warn('Log entry not found');
	} else {
		$l = mysql_fetch_assoc($r);
		print '
<b>Date/Time:</b> ' . safeHTMLstr($l['datetime']) . '<br />
<b>Type:</b> ' . safeHTMLstr($l['type']) . '<br />
<b>Entry:</b> ' . safeHTMLstr($l['entry']) . '
<p><hr /></p>
' . nl2br(safeHTMLstr($l['extra'])) . '<p />
';
	}
} else { // all entries
	if (isset($_GET['limit']) && ($_GET['limit'] == 0)) { // limit entries?
		$limit = '';
	} else {
		$limit = ' LIMIT 30';
		print '<p style="text-align: center"><a href="' . $_SERVER['PHP_SELF'] . '?limit=0' . (!empty($type) ? ('&type=' . safeHTMLstr($type)) : '') . '">show all ' . safeHTMLstr($type) . ' entries</a></p>';
	}
	
	// retrieve entries
	$q = "SELECT * FROM `" . OCC_TABLE_LOG . "` WHERE `type`" . (empty($type) ? "!='sql'" : ("='" . safeSQLstr($type) . "'")) . " ORDER BY `datetime` DESC" . $limit;
	$r = ocsql_query($q) or err('Unable to retrieve log entries');
	if (mysql_num_rows($r) == 0) {
		warn('No log entries were found');
	}
	
	// display entries
	print '<table border="0" cellspacing="1" cellpadding="5"><tr class="rowheader"><th>Date / Time</th><th>Type</th><th>Entry</th></tr>';
	$row = 1;
	while ($l = mysql_fetch_assoc($r)) {
		print '<tr class="row' . $row . '"><td style="white-space: nowrap;">';
		if (!empty($l['extra'])) {	// extra stuff? if so link it in
			print '<a href="' . $_SERVER['PHP_SELF'] . '?id=' . $l['logid'] . (empty($limit) ? '&limit=0' : '') . (!empty($type) ? ('&type=' . safeHTMLstr($type)) : '') . '">' . safeHTMLstr($l['datetime']) . '</a>';
		} else {
			print safeHTMLstr($l['datetime']);
		}
		 print '</td><td>' . safeHTMLstr($l['type']) . '</td><td>' . safeHTMLstr($l['entry']) . "</td></tr>\n";
		 if ($row == 1) {
			$row = 2;
		} else {
			$row = 1;
		}
	}
	print '</table><p /><p class="note">Log entries are shown in Coordinated Universal Time (UTC)</span></p>';
}

printFooter();

?>
