<?php

// +----------------------------------------------------------------------+
// | OpenConf                                                             |
// +----------------------------------------------------------------------+
// | Copyright (c) 2002-2009 Zakon Group LLC.  All Rights Reserved.       |
// +----------------------------------------------------------------------+
// | This source file is subject to the OpenConf License, available on    |
// | the OpenConf web site: www.OpenConf.com                              |
// +----------------------------------------------------------------------+

require_once "../include.php";

beginChairSession();

printHeader("Committee Member Profile",1);

if (!isset($_GET['rid']) || !ctype_digit($_GET['rid'])) {
	err('Reviewer ID is invalid');
}

$q = "SELECT * FROM " . OCC_TABLE_REVIEWER . " WHERE reviewerid='" . safeSQLstr($_GET['rid']) . "'";
$r = ocsql_query($q) or err("Unable to get information ".mysql_errno());
$l = mysql_fetch_array($r);
print '
<table border=1 cellspacing=0 cellpadding=3>
<tr><td>ID:</td><td>' . safeHTMLstr($_GET['rid']) . '</td></tr>
<tr><td>Program Committee:</td><td> ';

if ($l['onprogramcommittee'] == 'T') { print "Yes"; } else { print "No"; }

print '</td></tr>
<tr><td>Username:</td><td>'.$l['username'].'</td></tr>
<tr><td>Name:</td><td>' . safeHTMLstr($l['name_first']) . ' ' . safeHTMLstr($l['name_last']) . '</td></tr>
<tr><td>Email:</td><td><a href="mailto:'.$l['email'].'">'.$l['email'].'</a></td></tr>
<tr><td>URL:</td><td><a href="'.$l['url'].'" target="_blank">' . safeHTMLstr($l['url']) . '</a></td></tr>
<tr><td>Organization:</td><td>' . safeHTMLstr($l['organization']) . '</td></tr>
<tr><td>Country:</td><td>' . safeHTMLstr($l['country']) . '</td></tr>
<tr><td>Telephone:</td><td>' . safeHTMLstr($l['telephone']) . '</td></tr>
<tr><td valign="top">Topics:</td><td>
';

$tq = "SELECT topicname, short FROM " . OCC_TABLE_REVIEWERTOPIC . ", " . OCC_TABLE_TOPIC . " WHERE reviewerid='" . safeSQLstr($_GET['rid']) . "' AND " . OCC_TABLE_REVIEWERTOPIC . ".topicid=" . OCC_TABLE_TOPIC . ".topicid";
$tr = ocsql_query($tq) or err("Unable to get topics ".mysql_errno());
while ($tl = mysql_fetch_array($tr)) {
  print "&#8226; " . useTopic($tl['short'],$tl['topicname']) . "<br />\n";
}

print '
<tr><td>Other Expertise:</td><td>' . safeHTMLstr($l['otherexpertise']) . '</td></tr>
<tr><td>Comments:</td><td>' . safeHTMLstr($l['comments']) . '</td></tr>
';

print '<tr><td colspan=2 bgcolor="#eeeeee">&nbsp;</td></tr>';

$q = "SELECT " . OCC_TABLE_PAPERADVOCATE . ".paperid, " . OCC_TABLE_PAPER . ".title FROM " . OCC_TABLE_PAPERADVOCATE . ", " . OCC_TABLE_PAPER . " WHERE " . OCC_TABLE_PAPERADVOCATE . ".advocateid='" . safeSQLstr($_GET['rid']) . "' AND " . OCC_TABLE_PAPERADVOCATE . ".paperid=" . OCC_TABLE_PAPER . ".paperid";
$r = ocsql_query($q) or err("Unable to get advocating info " . mysql_errno());
if (mysql_num_rows($r) > 0) {
	print '<tr><td class="heading" valign="top">Advocating:</td><td>';
	while ($l = mysql_fetch_array($r)) {
		print '&#8226; <a href="show_adv_review.php?a=' . safeHTMLstr($_GET['rid']) . '&p=' . $l['paperid'] . '">' . $l['paperid'] . '. ' . safeHTMLstr($l['title']) . '</a><br />';
	}
	print '</td></tr>';
}

$q = "SELECT " . OCC_TABLE_PAPERREVIEWER . ".paperid, " . OCC_TABLE_PAPER . ".title FROM " . OCC_TABLE_PAPERREVIEWER . ", " . OCC_TABLE_PAPER . " WHERE " . OCC_TABLE_PAPERREVIEWER . ".reviewerid='" . safeSQLstr($_GET['rid']) . "' AND " . OCC_TABLE_PAPERREVIEWER . ".paperid=" . OCC_TABLE_PAPER . ".paperid";
$r = ocsql_query($q) or err("Unable to get reviewing info " . mysql_errno());
if (mysql_num_rows($r) > 0) {
	print '<tr><td class="heading" valign="top">Reviewing:</td><td>';
	while ($l = mysql_fetch_array($r)) {
		print '&#8226; <a href="show_review.php?rid=' . safeHTMLstr($_GET['rid']) . '&pid=' . $l['paperid'] . '">' . $l['paperid'] . '. ' . safeHTMLstr($l['title']) . '</a><br />';
	}
	print '</td></tr>';
}

print '</table><p />';

printFooter();

?>
