<?php

// +----------------------------------------------------------------------+
// | OpenConf                                                             |
// +----------------------------------------------------------------------+
// | Copyright (c) 2002-2009 Zakon Group LLC.  All Rights Reserved.       |
// +----------------------------------------------------------------------+
// | This source file is subject to the OpenConf License, available on    |
// | the OpenConf web site: www.OpenConf.com                              |
// +----------------------------------------------------------------------+

$MOD_FILETYPE_configVars = array('MOD_FILETYPE_chairoverride', 'MOD_FILETYPE_allow_officeopenxml', 'MOD_FILETYPE_allow_rtfforword');

if (isset($_POST['submit']) && ($_POST['submit'] == 'Save Settings')) {
	// Update config & status settings
	updateAllConfigSettings($MOD_FILETYPE_configVars, $_POST, OCC_MODULE_ID);

	// notify user		
	print '<p style="text-align: center" class="note">Settings Saved</p>';
}

print '
<form method="post" action="' . $_SERVER['PHP_SELF'] . '?' . $_SERVER['QUERY_STRING'] . '">

<p><b>Skip Check if Chair:</b> ' .
generateRadioOptions('MOD_FILETYPE_chairoverride', $yesNoAR, $OC_configAR['MOD_FILETYPE_chairoverride'])
. '<br /><span class="note">Skips file format check if Chair uploading.</p>

<p><b>Allow Office Open XML:</b> ' .
generateRadioOptions('MOD_FILETYPE_allow_officeopenxml', $yesNoAR, $OC_configAR['MOD_FILETYPE_allow_officeopenxml'])
. '<br /><span class="note">Checking Yes will allow Office (2007) Open XML documents (.docx, .pptx, .xlsx) to be accepted in addition to their older formats.</p>

<p><b>Allow RTF for Word Doc:</b> ' .
generateRadioOptions('MOD_FILETYPE_allow_rtfforword', $yesNoAR, $OC_configAR['MOD_FILETYPE_allow_rtfforword'])
. '<br /><span class="note">Checking Yes will allow Word documents (.doc) in RTF format.</p>

<br />
<p><input type="submit" name="submit" value="Save Settings" /></p>
</form>
';
