<?php

// +----------------------------------------------------------------------+
// | OpenConf                                                             |
// +----------------------------------------------------------------------+
// | Copyright (c) 2002-2009 Zakon Group LLC.  All Rights Reserved.       |
// +----------------------------------------------------------------------+
// | This source file is subject to the OpenConf License, available on    |
// | the OpenConf web site: www.OpenConf.com                              |
// +----------------------------------------------------------------------+

// NOTE: This file should use mysql_query vs. ocsql_query

require_once "install-include.php";

$e = '';
if (isset($_POST['submit']) && ($_POST['submit'] == "Save Info")) {
	// Attempt to connect with DB
	if (!($dbtest = mysql_connect($_POST['dbhost'], $_POST['dbuser'], stripslashes($_POST['dbpw'])))) {
		$e = 'Unable to connect with database using information below:<br />' . mysql_error();
	} else {
		// Specify UTF-8 use for connection
		mysql_query("SET NAMES 'utf8'");
		// Create DB?
		if (isset($_POST['dboptions']) && ($_POST['dboptions'] == 'createNload')) {
			$q = "CREATE DATABASE `" . $_POST['dbname'] . "` DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_unicode_ci";
			if (!mysql_query($q) && (mysql_errno() != 1007)) {  // 1007=exists
				$e = 'Unable to create database ' . safeHTMLstr($_POST['dbname']) . ". DB Error:<br />" . mysql_error() . " (" . mysql_errno() . ")";
			}
		}
		if (empty($e)) {
		// Check prefix
			if (!empty($_POST['dbprefix']) && (!preg_match("/^[\w-]{0,40}$/",$_POST['dbprefix']))) {
				$e = 'Invalid table prefix; use up to 40 letters, numbers, and the underscore.';
			}
			// Attempt to access DB
			elseif (!mysql_select_db($_POST['dbname'])) {
				$e = 'Unable to access database ' . safeHTMLstr($_POST['dbname']);
			}
			else {	// Save db info
				if (! $fp = fopen(OCC_LIB_DIR . 'config-sample.php', 'r')) {
					err('Config template file (lib/config-sample.php) does not exist.  Check that you have a full OpenConf distribution and <a href="' . $_SERVER['PHP_SELF'] . '">try again</a>', $hdr, $hdrfn);
				}
				if (!$optionFile = fread($fp, filesize(OCC_LIB_DIR . 'config-sample.php'))) {
					fclose($fp);
					err("Unable to read from config file", $hdr, $hdrfn);
				}
				fclose($fp);
				replaceConstantValue('OCC_DB_USER', $_POST['dbuser'], $optionFile);
				replaceConstantValue('OCC_DB_PASSWORD', $_POST['dbpw'], $optionFile);
				replaceConstantValue('OCC_DB_HOST', $_POST['dbhost'], $optionFile);
				replaceConstantValue('OCC_DB_NAME', $_POST['dbname'], $optionFile);
				replaceConstantValue('OCC_DB_PREFIX', $_POST['dbprefix'], $optionFile);
				if (! $fp = fopen(OCC_CONFIG_FILE,'w')) {
					err('Config file (config.php) cannot be created or is not writeable.  Try creating a blank config.php file manually and ensure file permissions allow config.php to be written to by the server; then <a href="' . $_SERVER['PHP_SELF'] . '">try the installation again</a>', $hdr, $hdrfn);
				}
				if (!fwrite($fp, $optionFile)) {
					fclose($fp);
					err("Unable to write to config file", $hdr, $hdrfn);
				}
				fclose($fp);
				
				// Load schema
				if ($dbfile = file_get_contents(OCC_LIB_DIR . "DB.sql")) {
					// create tables
					if (preg_match_all("/(CREATE [^;]+);/", $dbfile, $matches)) {
						foreach ($matches[1] as $m) {
							// add table prefix
							$m = preg_replace("/(CREATE TABLE `?)/", "$1" . slashQuote(stripslashes($_POST['dbprefix'])), $m);
							if (!mysql_query($m)) {
								$e = "Error on loading schema -- " . mysql_error() . ".<br />Database may need to be reset";
								break;
							}
						}
					} else {
						err("No schema found in DB.sql file", $hdr, $hdrfn);
					}
					// insert data
					if (preg_match_all("/(INSERT [^;]+);/", $dbfile, $matches)) {
						foreach ($matches[1] as $m) {
							// add table prefix
							$m = preg_replace("/(INSERT INTO `?)/", "$1" . slashQuote(stripslashes($_POST['dbprefix'])), $m);
							if (!mysql_query($m)) {
								$e = "Error on loading schema -- " . mysql_error() . ".<br />Database may need to be reset";
								break;
							}
						}
					}
				} else {
					$e = 'Unable to load schema from DB.sql.  Try loading it manually (see INSTALL instructions).';
				}
				if (empty($e)) {
					mysql_close($dbtest);
					header("Location: install-account.php");
					exit;
				}
			}
		}
		mysql_close($dbtest);
	}
	$dbuser = varValue('dbuser', $_POST);
	$dbname = varValue('dbname', $_POST);
	$dbhost = varValue('dbhost', $_POST);
	$dbprefix = varValue('dbprefix', $_POST);
} else {
	$dbuser = (defined('OCC_DB_USER') ? OCC_DB_USER : '');
	$dbname = (defined('OCC_DB_NAME') ? OCC_DB_NAME : '');
	$dbhost = (defined('OCC_DB_HOST') ? OCC_DB_HOST : '');
	$dbprefix = (defined('OCC_DB_PREFIX') ? OCC_DB_PREFIX : '');
}

printHeader($hdr,$hdrfn);

print '<p align="center"><b>Step 1 of 5: Enter Database Settings</b></p>';

if (!empty($e)) {
	print '<p align="center"><span class="warn">'.$e.'</span></p>';
}

print '
<center>
<form method="post" action="' . $_SERVER['PHP_SELF'] . '">
<table border=0 cellspacing=0 cellpadding=5>
<tr>
<td><b>Database User:</b></td>
<td><input name="dbuser" size="20" maxlength="30" value="' . safeHTMLstr($dbuser) . '"></td>
</tr>
<tr>
<td><b>Database Password:</b></td>
<td><input type="password" name="dbpw" size="20" maxlength="100" value=""></td>
</tr>
<tr>
<td><b>Database Hostname:</b></td>
<td><input name="dbhost" size="20" maxlength="100" value="' . safeHTMLstr($dbhost) . '"></td>
</tr>
<tr>
<td><b>Database Name:</b></td>
<td><input name="dbname" size="20" maxlength="64" value="' . safeHTMLstr($dbname) . '"></td>
</tr>
<tr>
<td valign="top"><b>Table Prefix:</b></td>
<td><input name="dbprefix" size="20" maxlength="64" value="' . safeHTMLstr($dbprefix) . '">
<br /><span class="note">(may be left blank)</span>
</td>
</tr>
<tr><td colspan=2>&nbsp;</td></tr>
</table>

<label><input type="radio" name="dboptions" value="createNload"';

if (!isset($_POST['dboptions']) || empty($_POST['dboptions']) || ($_POST['dboptions'] == 'createNload')) {
	print ' checked';
}

print '> Create Database and load schema</label>
<p />

<label><input type="radio" name="dboptions" value="load"';

if (isset($_POST['dboptions']) && ($_POST['dboptions'] == 'load')) {
	print ' checked';
}

print '> Load Schema only</label>
<p />
<br />

<input type="submit" name="submit" value="Save Info">
<p />

</form>

<br /><p class="note">The above information is stored in config.php';

if (defined('OCC_DB_NAME') && (OCC_DB_NAME != '')) {
	print '.<br />If you already configured config.php and loaded the schema, you may <a href="install-account.php">skip to the next step</a>.';
}

print '</p>

</center>
';

printFooter();
?>
