<?php

// +----------------------------------------------------------------------+
// | OpenConf                                                             |
// +----------------------------------------------------------------------+
// | Copyright (c) 2002-2009 Zakon Group LLC.  All Rights Reserved.       |
// +----------------------------------------------------------------------+
// | This source file is subject to the OpenConf License, available on    |
// | the OpenConf web site: www.OpenConf.com                              |
// +----------------------------------------------------------------------+

require_once "../include.php";

beginChairSession();

// accepted or all papers?
if (isset($_REQUEST['acc']) && preg_match("/\d+/", $_REQUEST['acc']) && isset($OC_acceptanceValuesAR[$_REQUEST['acc']])) {
	$accSQL = " AND `" . OCC_TABLE_PAPER . "`.`accepted`='" . safeSQLstr($OC_acceptanceValuesAR[$_REQUEST['acc']]['value']) . "'";
	$accURL = 'acc=' . $_REQUEST['acc'];
	$scope = 'Papers marked to ' . safeHTMLstr($OC_acceptanceValuesAR[$_REQUEST['acc']]['value']);
}
else {
	$accSQL = '';
	$accURL = '';
	$scope = "All Papers";
}

// sort order
if (!isset($_GET['s']) || ($_GET['s'] == "name")) {
	$sortby = "`name_last`, `name_first`";
	$idsort = '<a href="' . $_SERVER['PHP_SELF'] . '?s=id&' . $accURL . '">ID</a>';
	$nsort = 'Name<br />' . $OC_sortImg;
} else {
	$sortby = "`paperid`";
	$idsort = 'ID<br />' . $OC_sortImg;
	$nsort = '<a href="' . $_SERVER['PHP_SELF'] . '?s=name&' . $accURL . '">Name</a>';
}

printHeader("Authors of $scope", 1);

$q = "SELECT `" . OCC_TABLE_AUTHOR . "`.`name_last`, `" . OCC_TABLE_AUTHOR . "`.`name_first`, `" . OCC_TABLE_AUTHOR . "`.`paperid` FROM `" . OCC_TABLE_AUTHOR . "`, `" . OCC_TABLE_PAPER . "` WHERE `" . OCC_TABLE_PAPER . "`.`paperid`=`" . OCC_TABLE_AUTHOR . "`.`paperid` " . $accSQL . " ORDER BY $sortby";
$r = ocsql_query($q) or err("Unable to get authors ".mysql_errno($r));
if (mysql_num_rows($r) == 0) { print '<span class="warn">No papers have been submitted yet.</span><p>'; }
else {
	print "<dl><dt><b>Link(s):</b><dt><dd><i>ID</i> &#8211; Show submission info</dd></dl><p />\n";
	$row = 1;
	print '<table border=0 cellspacing=1 cellpadding=4><tr class="rowheader"><th valign="top">' . $idsort . '</th><th valign="top">' . $nsort . "</th></tr>\n";
	while ($l = mysql_fetch_array($r)) {
		print '<tr class="row' . $row . '"><td><a href="show_paper.php?pid='.$l['paperid'].'">'.$l['paperid'].'</a></td><td>' . safeHTMLstr($l['name_first']) . ' ' . safeHTMLstr($l['name_last']) . "</td></tr>\n";
		$row = $rowAR[$row];
	}
	print "</table><p />\n";
}

printFooter();

?>
