<?php

// +----------------------------------------------------------------------+
// | OpenConf                                                             |
// +----------------------------------------------------------------------+
// | Copyright (c) 2002-2009 Zakon Group LLC.  All Rights Reserved.       |
// +----------------------------------------------------------------------+
// | This source file is subject to the OpenConf License, available on    |
// | the OpenConf web site: www.OpenConf.com                              |
// +----------------------------------------------------------------------+

require_once "../include.php";

beginChairSession();

// accepted or all papers?
if (isset($_REQUEST['acc']) && preg_match("/\d+/", $_REQUEST['acc']) && isset($OC_acceptanceValuesAR[$_REQUEST['acc']])) {
	$accSQL = "AND " . OCC_TABLE_PAPER . ".accepted='" . safeSQLstr($OC_acceptanceValuesAR[$_REQUEST['acc']]['value']) . "'";
	$accURL = 'acc=' . $_REQUEST['acc'];
	$scope = 'Submissions marked to ' . safeHTMLstr($OC_acceptanceValuesAR[$_REQUEST['acc']]['value']);
}
else {
	$accSQL = '';
	$accURL = '';
	$scope = "All Submissions";
}

printHeader("$scope Topic Count",1);

print '<p align="center"><a href="list_topics_p.php?' . $accURL . '">View ' . $scope . ' by Topic</a></p>';

$q = "SELECT topicname, short, COUNT(*) AS num FROM " . OCC_TABLE_TOPIC . ", " . OCC_TABLE_PAPERTOPIC . ", " . OCC_TABLE_PAPER . " WHERE " . OCC_TABLE_TOPIC . ".topicid=" . OCC_TABLE_PAPERTOPIC . ".topicid AND " . OCC_TABLE_PAPERTOPIC . ".paperid=" . OCC_TABLE_PAPER . ".paperid $accSQL GROUP BY " . OCC_TABLE_TOPIC . ".topicid ORDER BY ";
if (!isset($_GET['s']) || ($_GET['s']=="topicname")) {
	$q .= "topicname";
	$tsort = 'Topic<br />' . $OC_sortImg;
	$nsort = '<a href="' . $_SERVER['PHP_SELF'] . '?s=num&' . $accURL . '">Count</a>';
} else { 
	$q .= "num"; 
	$nsort = 'Count<br />' . $OC_sortImg;
	$tsort = '<a href="' . $_SERVER['PHP_SELF'] . '?s=topicname&' . $accURL . '">Topic</a>';
}
$r = ocsql_query($q) or err("Unable to get information ".mysql_errno());
if (mysql_num_rows($r) == 0) {
        print '<span class="warn">No papers available</span><p>';
} else {
	print '<center><table border=0 cellpadding=5 cellspacing=1><tr class="rowheader"><th valign="top">' . $tsort . '</th><th valign="top">' . $nsort .'</th></tr>';
	$row = 1;
	while ($l = mysql_fetch_array($r)) {
	  	print '<tr class="row' . $row . '"><td>' . useTopic($l['short'],$l['topicname']) . '</td><td align="right">' . $l['num'] . "</td></tr>\n";
		if ($row==1) { $row=2; } else { $row=1; }
	}
	print "</table></center>\n";
}

printFooter();

?>
