<?php

// +----------------------------------------------------------------------+
// | OpenConf                                                             |
// +----------------------------------------------------------------------+
// | Copyright (c) 2002-2009 Zakon Group LLC.  All Rights Reserved.       |
// +----------------------------------------------------------------------+
// | This source file is subject to the OpenConf License, available on    |
// | the OpenConf web site: www.OpenConf.com                              |
// +----------------------------------------------------------------------+

require_once "../include.php";

beginChairSession();

if (isset($_REQUEST['cmt']) && ($_REQUEST['cmt'] == "rev")) {
	$cmtAdd = " AND onprogramcommittee='F'";
	$hdr = "Review Committee Members";
} elseif (isset($_REQUEST['cmt']) && ($_REQUEST['cmt'] == "pc")) {
	$cmtAdd = " AND onprogramcommittee='T'";
	$hdr = "Program Committee Members";
} else {
	$cmtAdd = '';
	$hdr = "Review &amp; Program Committee Members";
}

printHeader($hdr." by Topic",1);

$q = "SELECT " . OCC_TABLE_REVIEWER . ".reviewerid, " . OCC_TABLE_TOPIC . ".topicid, CONCAT_WS(' '," . OCC_TABLE_REVIEWER . ".name_first," . OCC_TABLE_REVIEWER . ".name_last) AS name, onprogramcommittee, " . OCC_TABLE_TOPIC . ".topicname, " . OCC_TABLE_TOPIC . ".short FROM " . OCC_TABLE_REVIEWER . ", " . OCC_TABLE_TOPIC . ", " . OCC_TABLE_REVIEWERTOPIC . " WHERE " . OCC_TABLE_REVIEWERTOPIC . ".reviewerid=" . OCC_TABLE_REVIEWER . ".reviewerid AND " . OCC_TABLE_REVIEWERTOPIC . ".topicid=" . OCC_TABLE_TOPIC . ".topicid $cmtAdd ORDER BY topicid, reviewerid";
$r = ocsql_query($q) or err("Unable to get information ".mysql_errno());
if (mysql_num_rows($r) == 0) {
        print '<span class="warn">No committee members with topics found.</span><p>';
} else {
	print '
<center><table border=0 cellspacing=1 cellpadding=4 COLS=2>
<tr class="rowheader"><th>Topic</th><th colspan=2>Committee Member</th></tr>
	';
	$currid = -1;
	$row = 1;
	while ($l = mysql_fetch_array($r)) {
		if ($currid != $l['topicid']) {
			if ($currid != -1) {
			    if ($row==1) { $row=2; } else { $row=1; }
			}
			$currid = $l['topicid'];
			print '<tr class="row' . $row . '"><td><b>' . $l['topicid'] . ' - ' . useTopic($l['short'],$l['topicname']) . '</b></td>';
		}
		else { print '<tr class="row' . $row . '"><td>&nbsp;</td>'; }
		if (empty($l['reviewerid'])) {
			print "<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>";
		} else {
			print '<td><a href="show_reviewer.php?rid='.$l['reviewerid'].'">'.$l['reviewerid'].' - ' . safeHTMLstr($l['name']) . '</a>';
			if ($l['onprogramcommittee'] == 'T') {
			    print " [PC]";
			}
			print '</td>';
		}
		print "</tr>\n";
	}
	print '</table></center>';
}

printFooter();

?>
