<?php

// +----------------------------------------------------------------------+
// | OpenConf                                                             |
// +----------------------------------------------------------------------+
// | Copyright (c) 2002-2009 Zakon Group LLC.  All Rights Reserved.       |
// +----------------------------------------------------------------------+
// | This source file is subject to the OpenConf License, available on    |
// | the OpenConf web site: www.OpenConf.com                              |
// +----------------------------------------------------------------------+

$hdr = '';
$hdrfn = 1;

require_once '../include.php';

if (isset($_REQUEST['install']) && ($_REQUEST['install'] == 1)) {
	require_once "install-include.php";
	$token = '';
} else {
	beginChairSession();
	printHeader("Open/Close Status",1);
	$token = $_SESSION[OCC_SESSION_VAR_NAME]['chairtoken'];
}

if (isset($_POST['submit']) && ($_POST['submit'] == "Set Status")) {
	// Check for valid submission
	if (OCC_INSTALL_COMPLETE && !validToken('chair')) {
		warn('Invalid submission');
	}

	// Update form's OC_ fields - w/exceptions below requiring special handling
	foreach (array_keys($_POST) as $p) {
		if (preg_match("/^[\w-]+/",$p) && isset($OC_statusAR[$p]) && preg_match("/^[01]$/i",$_POST[$p]) && ($OC_statusAR[$p] != $_POST[$p])) {
			updateStatusSetting($p, $_POST[$p]);
			$OC_statusAR[$p] = $_POST[$p];
		}
	}

	// Success - if install, redirect, else let user know
	if (isset($_REQUEST['install']) && ($_REQUEST['install'] == 1)) {
		header("Location: install-complete.php");
		exit;
	} else {
		print '<center><span class="note"><b>Status saved</b></span></center><p>';
	}
}

if (isset($_REQUEST['install']) && ($_REQUEST['install'] == 1)) {
	printHeader($hdr,$hdrfn);
	print '<p align="center"><b>Step 5 of 5: Open Submissions & Sign-Up/In</b></p>';
}

$ocq = "SELECT * FROM `" . OCC_TABLE_STATUS . "` WHERE `module`='OC' ORDER BY `order`, `setting`";
$ocr = ocsql_query($ocq) or err('Unable to retrieve status settings');

$nonocq = "SELECT * FROM `" . OCC_TABLE_STATUS . "` WHERE `module`!='OC' ORDER BY `module`, `order`, `setting`";
$nonocr = ocsql_query($nonocq) or err('Unable to retrieve additional status settings');

print '
<form method="post" action="'.$_SERVER['PHP_SELF'].'">
<input type="hidden" name="token" value="' . $token . '" />
';

if (isset($_REQUEST['install']) && ($_REQUEST['install'] == 1)) {
    print '<input type="hidden" name="install" value="' . $_REQUEST['install'] . '" />';
}

print '
<table border="0" cellspacing="15" cellpadding="0">
';

while ($l = mysql_fetch_assoc($ocr)) {
	if (!isset($l['dependency']) || empty($l['dependency']) || $OC_configAR[$l['dependency']]) {
		print '
<tr>
<td valign="top"><b>' . safeHTMLstr($l['name']) . ':</b></td>
<td valign="top">' . generateRadioOptions($l['setting'], $OC_statusValueAR, $l['status']) . '</td>
<td class="note">' . safeHTMLstr($l['description']) . '&nbsp;</td>
</tr>
';
	}
}

$module = '';

while ($l = mysql_fetch_assoc($nonocr)) {
	// skip inactive modules
	if (!oc_moduleActive($l['module'])) {
		continue;
	}
	// show module heading
	if ($module != $l['module']) {
		$module = $l['module'];
		print '<tr><td colspan="3"><br /><input type="submit" name="submit" value="Set Status" /><p><hr /></p><p style="text-align: center; font-weight: bold; font-size: 1.1em;">' . safeHTMLstr($OC_modulesAR[$module]['name']) . ' Module</p></td></tr>';
	}
	if (!isset($l['dependency']) || empty($l['dependency']) || $OC_configAR[$l['dependency']]) {
		print '
<tr>
<td valign="top"><b>' . safeHTMLstr($l['name']) . ':</b></td>
<td valign="top">' . generateRadioOptions($l['setting'], $OC_statusValueAR, $l['status']) . '</td>
<td class="note">' . safeHTMLstr($l['description']) . '&nbsp;</td>
</tr>
';
	}
}

print '
<tr><td colspan="3">
<p><input type="submit" name="submit" value="Set Status" /></p>
</td></tr>
</table>

</form>
';

printFooter();
?>
