<?php

// +----------------------------------------------------------------------+
// | OpenConf                                                             |
// +----------------------------------------------------------------------+
// | Copyright (c) 2002-2009 Zakon Group LLC.  All Rights Reserved.       |
// +----------------------------------------------------------------------+
// | This source file is subject to the OpenConf License, available on    |
// | the OpenConf web site: www.OpenConf.com                              |
// +----------------------------------------------------------------------+

require_once "../include.php";

beginChairSession();

printHeader("Submission",1);

print '<p style="text-align: center"><a href="list_papers.php">View All Submissions</a></p>';

if (!isset($_GET['pid']) || !ctype_digit($_GET['pid'])) {
	err("Submission id is invalid");
}

$q = "SELECT * FROM `" . OCC_TABLE_PAPER . "` WHERE `paperid`='" . safeSQLstr($_GET['pid']) . "'";
$r = ocsql_query($q) or err("Unable to get submissions ");

if (mysql_num_rows($r)!=1) {
	err("There does not appear to be a submission with that id (or there is more than one)");
}

$l = mysql_fetch_array($r); 

if ($OC_configAR['OC_trackStudent'] == 1) {
	$student = '<tr><td class="heading">Student</td><td>' . (($l['student'] == "F") ? 'No' : 'Yes') . "</td></tr>\n";
} else {
	$student = '';
}

$authors = '
<tr><td class="heading" valign="top">Author(s)</td><td>';

$qa = "SELECT * FROM `" . OCC_TABLE_AUTHOR . "` WHERE `paperid`='" . safeSQLstr($_GET['pid']) . "'";
$ra = ocsql_query($qa) or err("Unable to get authors ");
while ($a = mysql_fetch_array($ra)) {
	$authors .= '<i>Author ' . $a['position'] . '</i><br>Name: ' . safeHTMLstr($a['name_first']) . ' ' . safeHTMLstr($a['name_last']) . '<br>Org: ' . safeHTMLstr($a['organization']) . '<br>Country: ' . safeHTMLstr($a['country']) . '<br> Email: ';
	if (!empty($a['email'])) {
	    $authors .= '<a href="mailto:' . $a['email'] . '">' . $a['email'] . '</a>';
	}
	$authors .= '<br /><p />';
}

$authors .= '
</td></tr>
<tr><td class="heading" valign="top">Other Author(s)</td><td>' . safeHTMLstr($l['otherauthors']) . '</td></tr>
<tr><td class="heading">Contact Author</td><td>Author ' . $l['contactid'] . '<br>Alt Email: ';

	if (!empty($l['contactemail'])) {
	    $authors .= '<a href="mailto:' . $l['contactemail'] . '">' . $l['contactemail'] . '</a>';
	}

$authors .= '<br>Telephone: ' . safeHTMLstr($l['contactphone']) . '</td></tr>
';

$keywords = '<tr><td class="heading">Keywords</td><td>' . safeHTMLstr($l['keywords']) . "</td></tr>\n";

$abstract = '<tr><td class="heading" valign="top">Abstract</td><td>' . preg_replace("/\n/","<br>\n",safeHTMLstr($l['abstract'])) . "</td></tr>\n";

$topics = '<tr><td class="heading" valign="top">Topics</td><td>';

$qt = "SELECT `topicname`, `short` FROM `" . OCC_TABLE_PAPERTOPIC . "`, `" . OCC_TABLE_TOPIC . "` WHERE `paperid`='" . safeSQLstr($_GET['pid']) . "' AND `" . OCC_TABLE_PAPERTOPIC . "`.`topicid`=`" . OCC_TABLE_TOPIC . "`.`topicid`";
$rt = ocsql_query($qt) or err("Unable to get topics ");
while ($t = mysql_fetch_array($rt)) {
  $topics .= "&#8226; " . useTopic($t['short'], $t['topicname']) . "<br />\n";
}

$topics .= "</td></tr>\n";

$comments = '<tr><td class="heading">Comments</td><td><pre>' . safeHTMLstr($l['comments']) . "</pre></td></tr>\n";

$files = '<tr><td class="heading">File</td><td>';
if ($l['format'] && oc_isFile($pfile = $OC_configAR['OC_paperDir'] . preg_replace("/\D/", "", $_GET['pid']) . "." . $l['format'])) {
	$files .= "<a href=\"../review/paper.php?c=1&p=" . safeHTMLstr($_GET['pid']) . "." . $l['format']."\">" . safeHTMLstr($_GET['pid']) . ".".$l['format']."</a> (" . oc_formatNumber(oc_fileSize($pfile)) . ')';
} else {
	$files .= "not uploaded";
}
$files .= '</td></tr>';

$advocate = '';
if ($OC_configAR['OC_paperAdvocates']) {
	$qadv = "SELECT `" . OCC_TABLE_PAPERADVOCATE . "`.`advocateid`, CONCAT_WS(' ',`" . OCC_TABLE_REVIEWER . "`.`name_first`,`" . OCC_TABLE_REVIEWER . "`.`name_last`) AS `name`, `" . OCC_TABLE_REVIEWER . "`.`organization` FROM `" . OCC_TABLE_PAPERADVOCATE . "`, `" . OCC_TABLE_REVIEWER . "` WHERE `" . OCC_TABLE_PAPERADVOCATE . "`.`paperid`='" . safeSQLstr($_GET['pid']) . "' AND `" . OCC_TABLE_PAPERADVOCATE . "`.`advocateid`=`" . OCC_TABLE_REVIEWER . "`.`reviewerid`";
	$radv = ocsql_query($qadv) or err("Unable to get advocate info ");
	if (mysql_num_rows($radv) == 1) {
		$ladv = mysql_fetch_array($radv);
		$advocate .= '<tr><td class="heading">Advocate</td><td><a href="show_adv_review.php?s=&p=' . safeHTMLstr($_GET['pid']) . '&a=' . $ladv['advocateid'] . '">' . safeHTMLstr($ladv['name']) . '</a>, ' . $ladv['organization'] . '</td></tr>';
	}
}

$reviewers = '';
$qrev = "SELECT `" . OCC_TABLE_PAPERREVIEWER . "`.`reviewerid`, CONCAT_WS(' ',`" . OCC_TABLE_REVIEWER . "`.`name_first`,`" . OCC_TABLE_REVIEWER . "`.`name_last`) AS `name`, `" . OCC_TABLE_REVIEWER . "`.`organization` FROM `" . OCC_TABLE_PAPERREVIEWER . "`, `" . OCC_TABLE_REVIEWER . "` WHERE `" . OCC_TABLE_PAPERREVIEWER . "`.`paperid`='" . safeSQLstr($_GET['pid']) . "' AND `" . OCC_TABLE_PAPERREVIEWER . "`.`reviewerid`=`" . OCC_TABLE_REVIEWER . "`.`reviewerid`";
$rrev = ocsql_query($qrev) or err("Unable to get reviewers info ");
if (mysql_num_rows($rrev) > 0) {
	$reviewers .= '<tr><td class="heading" valign="top">Reviewers</td><td>';
	while ($lrev = mysql_fetch_array($rrev)) {
		$reviewers .= '&#8226; <a href="show_review.php?pid=' . safeHTMLstr($_GET['pid']) . '&rid=' . $lrev['reviewerid'] . '">' . safeHTMLstr($lrev['name']) . '</a>, ' . $lrev['organization'] . '<br />';
	}
	$reviewers .= '</td></tr>';
}

print '
<script type="text/css">
<!--
  td.heading { font-weight: bold; }
// -->
</script>

<table border=1 cellspacing=0 cellpadding=3>
<tr><td class="heading">ID</td><td>' . safeHTMLstr($_GET['pid']) . ' &nbsp; &nbsp; &nbsp; <form method="post" action="../author/edit.php" style="display: inline; margin: 0; padding: 0;"><input type="hidden" name="c" value="1" /><input type="hidden" name="pid" value="' . safeHTMLstr($_GET['pid']) . '" /><input type="submit" name="submit" value="Edit Submission" /></form> &nbsp; &nbsp; &nbsp; <form method="get" action="../author/upload.php" style="display: inline; margin: 0; padding: 0;"><input type="hidden" name="c" value="1" /><input type="hidden" name="pid" value="' . safeHTMLstr($_GET['pid']) . '" /><input type="submit" name="submit" value="Upload File" /></form></td></tr>
<tr><td class="heading">Title</td><td>' . safeHTMLstr($l['title']) . '</td></tr>
<tr><td class="heading">Submitted</td><td>' . $l['submissiondate'] . '</td></tr>
<tr><td class="heading">Last Update</td><td>' . $l['lastupdate'] . '</td></tr>
';

$extra = '';
if (oc_hookSet('chair-show_paper')) {
	foreach ($GLOBALS['OC_hooksAR']['chair-show_paper'] as $hook) {
		require_once $hook;
	}
}

print $student . $authors . $keywords . $abstract . $topics . $comments . $files . $extra;
print '<tr><td colspan=2 bgcolor="#eeeeee">&nbsp;</td></tr>';
print $advocate . $reviewers;

print '</table><p>';

printFooter();

?>