<?php

// +----------------------------------------------------------------------+
// | OpenConf                                                             |
// +----------------------------------------------------------------------+
// | Copyright (c) 2002-2009 Zakon Group LLC.  All Rights Reserved.       |
// +----------------------------------------------------------------------+
// | This source file is subject to the OpenConf License, available on    |
// | the OpenConf web site: www.OpenConf.com                              |
// +----------------------------------------------------------------------+

require_once "../include.php";

session_name('OPENCONF');
session_start();

// Super Chair?
if (defined('OCC_SUPERCHAIR_VAR_NAME') && isset($_SESSION[OCC_SUPERCHAIR_VAR_NAME]['superchairlast'])) {
	session_write_close();
	header("Location: index.php?" . strip_tags(SID));
}

$vformar[1] = "lkalskjo24uakd";
$vformar[2] = "lkiqwje0913284";
$vformar[3] = "loj0923489wefs";

$errmsg = "";

if (isset($_POST['submit']) && ($_POST['submit'] == "Sign In")) {
	$lowusername = oc_strtolower($_POST['uname']);
	// Check for bad user/pwd
	if ((oc_strtolower($OC_configAR['OC_chair_uname']) != $lowusername) || ($OC_configAR['OC_chair_pwd'] != hashPassword($_POST['upwd'], $OC_configAR['OC_chair_pwd']))) {
		$errmsg =  '
<span class="err">Incorrect login.  Please try again below or contact your OpenConf administrator.</span>
<p>
		';
	}
	else {  // We have a winner!
		$_SESSION[OCC_SESSION_VAR_NAME]['chairlast'] = time();
		$_SESSION[OCC_SESSION_VAR_NAME]['chairtoken'] = generateID();

		// re-route user
		session_write_close();
		header('Location: index.php?' . strip_tags(SID));
		exit;
	}
	// Weak attempt at catching multiple failed logins
	if ($_POST['validform'] == $vformar[1]) { $vform = $vformar[2]; }
	else { 
		$vform = $vformar[3]; 
		if ($_POST['validform'] == $vformar[3]) {
			$errmsg .= '
<span class="err">Hummm... 3 failed attempts.  Let me guess - too many passwords to remember?  If this were a real secure system, we would lock your account out now; instead, we will be monitoring your activities closely.</span><p>
			';
		}
	}
}
else { 
	$vform = $vformar[1]; 
}

printHeader("Sign In",3);

if (!empty($errmsg)) { 
	print $errmsg;
}
elseif (isset($_GET['e']) && ($_GET['e'] == "exp")) { print '<span class="err">Your session has timed out or you did not sign in properly.  Please sign in again.</span><p>'; }

print '
<br>
<center>
<form method="post" action="' . $_SERVER['PHP_SELF'] . '">
<table border=0>
<tr><td><b>Username:</b></td><td><input size=20 name="uname" value="' . safeHTMLstr(varValue('uname', $_POST)) . '" tabindex="1">';

if ($OC_configAR['OC_chairUsernameForgot']) {
	print ' (<a href="email_username.php">forgot username?</a>)';
}

print '</td></tr>
<tr><td><b>Password:</b></td><td><input type="password" size=20 name="upwd" tabindex="2">';

if ($OC_configAR['OC_chairPasswordForgot']) {
	print ' (<a href="reset.php">forgot password?</a>)';
}

print '</td></tr>
<tr><th align="center" colspan=2><br><input type="submit" name="submit" value="Sign In" tabindex="3"></th><td>&nbsp;</td></tr>
</table>
<input type="hidden" name="validform" value="' . $vform . '">
</form>
<p>
<br>
<script language="javascript">
<!--
document.forms[0].elements[0].focus();
// -->
</script>
';

if ($OC_configAR['OC_ChairTimeout'] > 0) {
    print '
<p>
<span class="note">Note: Session times out after ' . $OC_configAR['OC_ChairTimeout'] . ' minutes of inactivity</span>
';
}

print '
</center>
<p>
';

printFooter();

?>
