<?php

// +----------------------------------------------------------------------+
// | OpenConf                                                             |
// +----------------------------------------------------------------------+
// | Copyright (c) 2002-2009 Zakon Group LLC.  All Rights Reserved.       |
// +----------------------------------------------------------------------+
// | This source file is subject to the OpenConf License, available on    |
// | the OpenConf web site: www.OpenConf.com                              |
// +----------------------------------------------------------------------+

require_once "../include.php";

beginChairSession();

printHeader("Unassign Reviews",1);

if (isset($_POST['submit']) && ($_POST{'submit'} == "Unassign Reviews (UAR)") && (!empty($_POST['drop']))) {
	// Check for valid submission
	if (!validToken('chair')) {
		warn('Invalid submission');
	}

	foreach ($_POST['drop'] as $val) {
		if (preg_match("/^\d+,\d+$/",$val)) {
			list($pid,$rid) = split(",",$val);
			issueSQL("DELETE FROM " . OCC_TABLE_PAPERREVIEWER . " WHERE paperid='".$pid."' AND reviewerid='".$rid."'");
			issueSQL("DELETE FROM " . OCC_TABLE_PAPERSESSION . " WHERE paperid='".$pid."' AND reviewerid='".$rid."'");

			// Hook
			if (oc_hookSet('chair-unassign-review')) {
				foreach ($OC_hooksAR['chair-unassign-review'] as $f) {
					require_once $f;
				}
			}

		}
		else { print "Unable to process $val.<p>\n"; }
	}
	print "Reviews have been unassigned.<p>\n";
	if (($_POST['src']=="p") || ($_POST['src']=="r")) {
		print '<a href="list_reviews.php">Return to Review Listings</a><p>';
	}
}
else {
	print "<span class=\"warn\">Please go back and select the reviews to unassign.</span><p />\n";
}

printFooter();

?>
